Description

This patch against 0.9 stable branch in Git allows for an OpenID-only site. Registration links are disabled and login provides an

OpenID-only option. Registration is performed via initial OpenID login.

This is useful in situations where you are running in a closed environment, where you want to use SSO via the OpenID provider, or if

you are running publicly but simply prefer to keep user management to the users.

History

#1 - 2010-04-10 08:24 - Eric Davis

- Category set to Accounts / authentication

#2 - 2010-04-13 03:06 - Anonymous

If the sreg response doesn't contain a unique login, first/last names, and an email address, this patch will still respond with the registration page.

I think the correct way to approach OpenID-only operation is to make first/last name and email optional, and allow changing the login name (since it's

not used for logging in any more).  I want to use OpenID in the first place to allow identity with as little effort as possible, and requiring these fields

erects a wall with little benefit.

#3 - 2010-04-13 04:43 - Jeff Mitchell

Isn't the login the OpenID? In which case it'll be unique.

It's true that the email address must also be unique. It does fail over to the registration page, at which point an administrator must end up approving

the request. This isn't necessarily a bad thing, since the clashing emails might indicate a problem.

However, I agree with what you said in the sense that making email optional would be nice. If you have OpenID you don't really need to have email

be a primary key; you can use the OpenID instead.

#4 - 2010-04-13 06:59 - Anonymous

Nope; the login is set to be the sreg "nickname".  If your provider doesn't send back any sreg at all, you'll get the registration page with a confounding

error about requiring a login name (and then you'll need to enter a password, etc).

I don't think it's possible to use the identity URL for the login, anyway; login names are restricted to letters, numbers, and a handful of punctuation.

There's a patch on issue #3780 that gets OpenID support closer to how it should be, by filling in dummy values when the sreg is missing something.

#5 - 2010-04-13 14:54 - Jeff Mitchell

Alex Munroe wrote:

I don't think it's possible to use the identity URL for the login, anyway; login names are restricted to letters, numbers, and a handful of

punctuation.

 Seems like a fixable problem.

#6 - 2011-09-13 10:49 - Etienne Massip

- Category changed from Accounts / authentication to OpenID

#7 - 2021-12-14 01:16 - Go MAEDA

- Status changed from New to Closed

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
https://www.redmine.org/issues/3780
https://www.redmine.org/issues/35755
